#include <stdio.h>

#define MAXN 1100

//int pole [MAXN][MAXN];
int A, B, C, D, E, F, X, Y, P, cuts;

void sw(int& a, int &b) {
  int t = a;
  a = b;
  b = t;
}

int price(int x, int y) {
  if (x > E || y > F) return -1;
  if (x == E && y < F) return 1;
  if (x < E && y == F) return 1;
  if (x == E && y == F) return 2;
  return 0;
}

int max(int a, int b) {
  return (a > b ? a : b);
}

int main() {
/*  for(i=0; i<MAXN; i++)
    for(j=0; j<MAXN; j++)
      pole[i][j] = -1; */
  for(;;) {
    scanf("%d %d %d %d %d %d",&A,&B,&C,&D,&E,&F);
    if(!A && !B && !C && !D && !E && !F) break;
    P = max(price(A*C,B*D), max(price(B*D,A*C), 
        max(price(A*D,B*C),price(B*C,A*D))));
    if (P == -1) printf("The paper is too small.\n");
    else  {
      cuts = 1-P+A*B;
      printf("The minimum number of cuts is %d.\n",cuts);
    }
  }
  return 0;
}